Error de ASP.NET 4.0 con IIS 7

Hola amigos, en esta ocasión les traemos este pequeño post que creemos les puede ser útil para resolver estos tipos de problemas con ASP.NET 4.0 y IIS 7.

Puede ocurrirnos que al crear un sitio web ASP.NET en Visual Studio y hostearlo directamente en nuestro servidor web IIS nos aparezca el siguiente error:

“ASP.NET 4.0 no se ha registrado en el servidor web. Es necesario configurar manualmente el servidor web para ASP.NET 4.0 para que el sitio funcione correctamente.Presione F1 para obtener más detalles.”

Si pasamos por alto este error se nos generará el sitio web sin ningún problema pero al querer compilarlo nos aparecerá nuevamente un error. Estos errores suelen ocurrir cuando instalamos .NET Framework 4.0 antes de haber instalado Internet Information Services (IIS).

Solucionar estos errores es sumamente sencillo y no nos demora mas de tres minutos, la solución es ejecutar lo siguiente desde la línea de comandos de windows:

aspnet_regiis.exe -i

Para ejecutarlo debemos ir a la siguiente ruta:

C:\Windows\Microsoft.NET\Framework\v4.0.30319\

y ahí dentro se encuentra el ejecutable antes mencionado. Cabe aclarar que si nuestro sistema operativo es de 64 bits el directorio Framework debe ser sustituido por Framework64. Una vez realizados los pasos anteriores podemos probar con la creación y compilación de otro sitio web y el problema debería haber quedado resuelto.

Bueno amigos esperamos que esta información haya sido útil para ustedes y cualquier duda o comentario seguimos online.

5 comentarios en “Error de ASP.NET 4.0 con IIS 7

  1. Hola amigo, tienes razón con estoy pasos se resuelve el problema solo hace falta aclarar que se necesitan permisos de administrador para hacer la ejecucón de alchivo aspnet_regiis.exe -i.

    gracias por la ayuda

  2. No me funciono y si cambie el folder a Framework64

  3. Siento que todo este ambiente es muy engorroso por la cantidad de pequeños detalles que hay que cuidar y si falta lo mas mínimo ya no corre.

  4. Muchisimas gracias 😀 si funko

  5. Esto es lo que obtengo luego de ejecutar el comando:
    C:\Windows\Microsoft.NET\Framework64\v4.0.30319>aspnet_regiis.exe -i
    Inicie la instalación de ASP.NET (4.0.30319.0).
    ………
    Finalizó la instalación de ASP.NET (4.0.30319.0).

    Aparentemente no hay ningún error. Sin embargo, cuando intento crear un proyecto obtengo dicho error.

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s